/*********************************************************
 * JUnit Extensions
 * Version 1.6.0
 *
 *
 * (C)opyright 2001-2003 Daedalos Consulting GmbH, Witten
 *
 * Author: Jens Uwe Pipka, Daedalos Consulting GmbH
 *      mailto:jens-uwe.pipka@daedalos.com
 *      http://www.daedalos.com/DE/djux
 *
 *********************************************************/
package com.daedalos.junit.gui;
import java.awt.Component;

import javax.swing.Icon;
import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.SwingConstants;
import javax.swing.table.DefaultTableCellRenderer;

public class TRBrowserTableCellRenderer extends DefaultTableCellRenderer {

protected JLabel label;

public TRBrowserTableCellRenderer() {
	super();
	label = new JLabel();
	label.setHorizontalAlignment(SwingConstants.CENTER);
	label.setOpaque(false);	
}


public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column) {
	this.setValue(value);
	return label;
}


protected void setValue(Object value) {
	if (value != null) {
		label.setIcon((Icon)value);
	} else {
		label.setText("");
	}
}
}