/*********************************************************
 * JUnit Extensions
 * Version 1.6.0
 *
 *
 * (C)opyright 2001-2003 Daedalos Consulting GmbH, Witten
 *
 * Author: Jens Uwe Pipka, Daedalos Consulting GmbH
 *      mailto:jens-uwe.pipka@daedalos.com
 *      http://www.daedalos.com/DE/djux
 *
 *********************************************************/
package com.daedalos.junit.tests;

import com.daedalos.junit.TestResourceFactory;
import com.daedalos.junit.TestResourceTestCase;

public class ExampleTestResourceSubClassTest extends TestResourceTestCase {
	
	public ExampleTestResourceSubClassTest(String name) {
		super(name);
	}
	
	public void testExampleResource() {
		this.prepareTestResource("com.daedalos.junit.tests.ExampleTestResource");
	  	TestResourceFactory testResourceFactory = TestResourceFactory.current();					
		ExampleTestResource anExampleTestResource =
			(ExampleTestResource)testResourceFactory.getTestResource(
				ExampleTestResource.class);
		assertEquals("do something", anExampleTestResource.exampleMethodCall());
	}
}