/*********************************************************
 * JUnit Extensions
 * Version 1.6.0
 *
 *
 * (C)opyright 2001-2003 Daedalos Consulting GmbH, Witten
 *
 * Author: Jens Uwe Pipka, Daedalos Consulting GmbH
 *      mailto:jens-uwe.pipka@daedalos.com
 *      http://www.daedalos.com/DE/djux
 *
 *********************************************************/
package com.daedalos.util;

import java.io.IOException;

public class ExternalProgram {

	protected String command;

	public ExternalProgram(String filename) {
		this.command = filename;
	}

	public int run() throws IOException, InterruptedException {
		Runtime runtime = Runtime.getRuntime();
		String[] cmd = { this.command };
		Process aProcess = runtime.exec(cmd);
		aProcess.waitFor();
		return (aProcess.exitValue());
	}
}