/*********************************************************
 * JUnit Extensions
 * Version 1.6.0
 *
 *
 * (C)opyright 2001-2003 Daedalos Consulting GmbH, Witten
 *
 * Author: Jens Uwe Pipka, Daedalos Consulting GmbH
 *      mailto:jens-uwe.pipka@daedalos.com
 *      http://www.daedalos.com/DE/djux
 *
 *********************************************************/
package com.daedalos.junit.tests;

import junit.framework.TestCase;

import com.daedalos.junit.TestResourceFactory;

public class ExampleTestResourceTest extends TestCase {
	
	protected ExampleTestResource anExampleTestResource;
	
	public ExampleTestResourceTest(String name) {
		super(name);
	}
	
	public void setUp() {
	  	TestResourceFactory testResourceFactory = TestResourceFactory.current();				
		anExampleTestResource =
			(ExampleTestResource)testResourceFactory.getTestResource(
				ExampleTestResource.class);
	}
	
	public void testExampleResource() {
		assertEquals(
			"TestResource example",
			"do something",
			anExampleTestResource.exampleMethodCall());
	}
}